# serverlessDeploymentUserIdentitySessionContext

Session context for the user identity performing a serverless deployment.

### Examples

```graphql
type ServerlessDeploymentUserIdentitySessionContext {
  sessionIssuer: ServerlessDeploymentUserIdentitySessionIssuer
  attributes: ServerlessDeploymentUserIdentityAttributes
}
```

### Fields

| Field                                                                                                                                                                            | Description                       | Supported fields                                                                                                                                               |
| -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | --------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| sessionIssuer [`ServerlessDeploymentUserIdentitySessionIssuer`](/api-documentation/api-reference/api--issue/types/objects/serverless-deployment-user-identity-session-issuer.md) | Details about the session issuer  | <p>type <code>String</code><br>principalId <code>String</code><br>arn <code>String</code><br>accountId <code>String</code><br>userName <code>String</code></p> |
| attributes [`ServerlessDeploymentUserIdentityAttributes`](/api-documentation/api-reference/api--issue/types/objects/serverless-deployment-user-identity-attributes.md)           | Attributes of the session context | <p>creationDate <code>String</code><br>mfaAuthenticated <code>String</code></p>                                                                                |

### References

#### Fields with this object:

* [{} ServerlessDeploymentUserIdentity.sessionContext](/api-documentation/api-reference/api--issue/types/objects/serverless-deployment-user-identity.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--issue/types/objects/serverless-deployment-user-identity-session-context.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
